Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class ExternalRuleID

    java.lang.Object
      net.sourceforge.pmd.ExternalRuleID

public class ExternalRuleID
extends java.lang.Object

Constructor Summary
`ExternalRuleID(java.lang.String id)`

Method Summary
`java.lang.String` | `getFilename()`
`java.lang.String` | `getRuleName()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalRuleID

    public ExternalRuleID(java.lang.String id)

Method Detail

### getFilename

    public java.lang.String getFilename()

### getRuleName

    public java.lang.String getRuleName()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.